BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

Permissions can be created in either a totally restrictive or totally unrestrictive state. A totally restrictive state allows no access to resources; a totally unrestricted state allows all access to a particular resource. For example, the file permission constructor could create an object representing either no access to any files or all access to all files.

Each type of permission clearly defines extreme states representing either all or none of the permissions expressible within the type. Thus, it is possible to create a generic permission in a completely restricted or unrestricted state without knowledge of the particular permission; however, intermediate states can only be set according to the specific permission semantics.

All code access permissions implemented in the .NET Framework can take a value as an argument to their constructor.

Specifies whether a permission should have all or no access to resources at creation.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.PermissionState None To be added.

  No access to the resource protected by the permission.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.PermissionState Unrestricted To be added.

  Full access to the resource protected by the permission.

  0
0